Package org.eclipse.cdt.core

# Interface ICDescriptorManager

@Deprecated public interface ICDescriptorManager
Deprecated.
replace with `ICProjectDescriptionManager` & `ICProjectDescription`

Restriction:
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`addDescriptorListener(ICDescriptorListener listener)`
Deprecated.
`void`
`configure(org.eclipse.core.resources.IProject project, String id)`
Deprecated.
`void`
`convert(org.eclipse.core.resources.IProject project, String id)`
Deprecated.
`ICDescriptor`
`getDescriptor(org.eclipse.core.resources.IProject project)`
Deprecated.
Return the ICDescriptor for the project.
`ICDescriptor`
`getDescriptor(org.eclipse.core.resources.IProject project, boolean create)`
Deprecated.
Return the ICDescriptor for the project.
`void`
`removeDescriptorListener(ICDescriptorListener listener)`
Deprecated.
`void`
`runDescriptorOperation(org.eclipse.core.resources.IProject project, ICDescriptorOperation op, org.eclipse.core.runtime.IProgressMonitor monitor)`
Deprecated.
Atomically runs the descriptor operation on the current project's configuration The descriptor is automatically 'applied' after the CDescriptorOperation has been run
`void`
`runDescriptorOperation(org.eclipse.core.resources.IProject project, ICProjectDescription des, ICDescriptorOperation op, org.eclipse.core.runtime.IProgressMonitor monitor)`
Deprecated.
Runs the ICDescriptorOperation on the provided ICProjectDescription.

## Method Details

### configure

void configure(org.eclipse.core.resources.IProject project, String id) throws org.eclipse.core.runtime.CoreException
Deprecated.

Throws:
  `org.eclipse.core.runtime.CoreException`

### convert

void convert(org.eclipse.core.resources.IProject project, String id) throws org.eclipse.core.runtime.CoreException
Deprecated.

Throws:
  `org.eclipse.core.runtime.CoreException`

### getDescriptor

ICDescriptor getDescriptor(org.eclipse.core.resources.IProject project) throws org.eclipse.core.runtime.CoreException
Deprecated.
Return the ICDescriptor for the project. If project doesn't contain an ICDescriptor then one is created. Equivalent to: `ICDescriptorManager#getDescriptor(project, true)` Users should consider batching changes in an ICDescriptorOperation

Parameters:
  `project` -
Returns:
  ICDescriptor
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  - `getDescriptor(IProject, boolean)`

### getDescriptor

ICDescriptor getDescriptor(org.eclipse.core.resources.IProject project, boolean create) throws org.eclipse.core.runtime.CoreException
Deprecated.
Return the ICDescriptor for the project. If project doesn't contain an ICDescriptor and create == true, then one is created Users should consider batching changes in an ICDescriptorOperation

Parameters:
  `project` -
  `create` -
Returns:
  ICDescriptor
Throws:
  `org.eclipse.core.runtime.CoreException`

### runDescriptorOperation

void runDescriptorOperation(org.eclipse.core.resources.IProject project, ICDescriptorOperation op, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Deprecated.
Atomically runs the descriptor operation on the current project's configuration The descriptor is automatically 'applied' after the CDescriptorOperation has been run

Parameters:
  `project` -
  `op` -
  `monitor` -
Throws:
  `org.eclipse.core.runtime.CoreException`

### runDescriptorOperation

void runDescriptorOperation(org.eclipse.core.resources.IProject project, ICProjectDescription des, ICDescriptorOperation op, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Deprecated.
Runs the ICDescriptorOperation on the provided ICProjectDescription. The changes are reconciled into the provided ICProjectDescription. Currently this project description may be different from the current project description

Parameters:
  `project` -
  `des` -
  `op` -
  `monitor` -
Throws:
  `org.eclipse.core.runtime.CoreException`

### addDescriptorListener

void addDescriptorListener(ICDescriptorListener listener)
Deprecated.

### removeDescriptorListener

void removeDescriptorListener(ICDescriptorListener listener)
Deprecated.